View Issue Details

IDProjectCategoryView StatusLast Update
0014115LazarusLCLpublic2009-10-23 00:40
ReporterBoguslaw Brandys Assigned ToVincent Snijders  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformwindowsOSwindows xp home 
Target Version1.0.0Fixed in Version0.9.27 (SVN) 
Summary0014115: TIniPropStorage crash when saving boolean or integer
DescriptionTIniPropStorage crash when code use WriteBoolean or WriteInteger or Read Boolean. Strangely seems to invoke method call on nil object.

stacktrace added:

 EAccessViolation - Access violation
                 $0057BF2B TCUSTOMINIPROPSTORAGE__DOWRITESTRING, line 273 of inipropstorage.pas
                 $004D13E4 TCUSTOMPROPERTYSTORAGE__DOWRITEINTEGER, line 670 of propertystorage.pas
                 $004D166C TCUSTOMPROPERTYSTORAGE__WRITEBOOLEAN, line 754 of propertystorage.pas
                 $005CDA30 TUSTAWIENIA__FORMCLOSE, line 68 of frmustawienia.pas
                 $00419C2D TCUSTOMFORM__DOCLOSE, line 721 of ./include/customform.inc
                 $00418746 TCUSTOMFORM__CLOSEMODAL, line 37 of ./include/customform.inc
                 $0041CC86 TCUSTOMFORM__SHOWMODAL, line 2273 of ./include/customform.inc
                 $005CD846 SHOWUSTAWIENIA, line 44 of frmustawienia.pas
                 $004257D4 TFRMMAIN__MENUUSTAWIENIACLICK, line 174 of main.pas
                 $004CC491 TMENUITEM__CLICK, line 74 of ./include/menuitem.inc
                 $004CCAA0 TMENUITEM__DOCLICKED, line 266 of ./include/menuitem.inc
                 $0040B32E TOBJECT__DISPATCH, line 465 of E:/projekty/fpc/rtl/inc/objpas.inc
                 $7E368734
                 $7E368816
                 $7E3689CD
                 $7E368A10
                 $004E1A2D TWIN32WIDGETSET__APPPROCESSMESSAGES, line 379 of win32object.inc
Additional InformationWriteString/ReadString works fine
TagsNo tags attached.
Fixed in Revision21127
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

Vincent Snijders

2009-07-08 14:00

manager   ~0028973

Please, attach a sample application.

2009-07-08 15:45

 

example.zip (97,877 bytes)

Boguslaw Brandys

2009-07-08 19:00

developer   ~0028979

Example attached.

Issue History

Date Modified Username Field Change
2009-07-08 13:46 Boguslaw Brandys New Issue
2009-07-08 13:46 Boguslaw Brandys LazTarget => -
2009-07-08 13:46 Boguslaw Brandys Widgetset => Win32/Win64
2009-07-08 14:00 Vincent Snijders LazTarget - => 1.0
2009-07-08 14:00 Vincent Snijders Note Added: 0028973
2009-07-08 14:00 Vincent Snijders Status new => feedback
2009-07-08 14:00 Vincent Snijders Target Version 0.9.27 (SVN) => 1.0.0
2009-07-08 15:45 Boguslaw Brandys File Added: example.zip
2009-07-08 19:00 Boguslaw Brandys Note Added: 0028979
2009-08-03 14:27 Vincent Snijders Status feedback => acknowledged
2009-08-07 10:33 Vincent Snijders Fixed in Revision => 21127
2009-08-07 10:33 Vincent Snijders Status acknowledged => resolved
2009-08-07 10:33 Vincent Snijders Fixed in Version => 0.9.27 (SVN)
2009-08-07 10:33 Vincent Snijders Resolution open => fixed
2009-08-07 10:33 Vincent Snijders Assigned To => Vincent Snijders
2009-10-23 00:40 Marc Weustink Status resolved => closed